<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('requests', function (Blueprint $table) {
            $table->id();
            $table->string('type');
            $table->string('firstname');
            $table->string('lastname');
            $table->string('email')->unique();
            $table->string('mobile');
            $table->foreignId('state');
            $table->foreignId('district');
            $table->string('address');
            $table->date('birthday');
            $table->string('gender',1);
            $table->timestamp('email_verified_at')->nullable();
            $table->string('otp_code');
            $table->timestamp('otp_sent_at');
            $table->boolean('otp_verified')->default(false);
            $table->timestamp('otp_verified_at')->nullable();
            $table->string('password');
            $table->string('passport')->nullable();
            $table->string('residence_certificate')->nullable();
            $table->string('selfie')->nullable();
            $table->boolean('status')->comment("0=>pending,1=>validated,2=>rejected")->default(0);
            $table->foreignId('validator')->nullable();
            $table->timestamp('verified_at')->nullable();
            $table->string('reject_reason')->nullable();
            $table->foreignId('recommended_agency')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('requests');
    }
};
