<?php

use App\Models\District;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('districts', function (Blueprint $table) {
            $table->id();
            $table->foreignId('state_id');
            $table->string('district_name');
            $table->string('district_code');
            $table->timestamps();
        });

        foreach ($this->districts() as $key => $value) {
            District::create([
                'district_name'=>$value['commune_name'],
                'district_code'=>$key,
                'state_id'=>1
            ]);
        }


    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('districts');
    }

    private function districts(){
        return [
            588 => [
                "commune_name" => "Hussein Dey",
                "daira_name" => "Hussein Dey",
                "wilaya_code" => "16",
                "wilaya_name" => "Alger",
            ],
            592 => [
                "commune_name" => "Les Eucalyptus",
                "daira_name" => "Baraki",
                "wilaya_code" => "16",
                "wilaya_name" => "Alger",
            ],
            606 => [
                "commune_name" => "Sidi Moussa",
                "daira_name" => "Baraki",
                "wilaya_code" => "16",
                "wilaya_name" => "Alger",
            ],
            591 => [
                "commune_name" => "Kouba",
                "daira_name" => "Hussein Dey",
                "wilaya_code" => "16",
                "wilaya_name" => "Alger",
            ],
            594 => [
                "commune_name" => "Mohamed Belouzdad",
                "daira_name" => "Hussein Dey",
                "wilaya_code" => "16",
                "wilaya_name" => "Alger",
            ],
            555 => [
                "commune_name" => "Ain Taya",
                "daira_name" => "Dar El Beida",
                "wilaya_code" => "16",
                "wilaya_name" => "Alger",
            ],
            558 => [
                "commune_name" => "Bab Ezzouar",
                "daira_name" => "Dar El Beida",
                "wilaya_code" => "16",
                "wilaya_name" => "Alger",
            ],
            569 => [
                "commune_name" => "Bordj El Kiffan",
                "daira_name" => "Dar El Beida",
                "wilaya_code" => "16",
                "wilaya_name" => "Alger",
            ],
            574 => [
                "commune_name" => "Dar El Beida",
                "daira_name" => "Dar El Beida",
                "wilaya_code" => "16",
                "wilaya_name" => "Alger",
            ],
            584 => [
                "commune_name" => "El Marsa",
                "daira_name" => "Dar El Beida",
                "wilaya_code" => "16",
                "wilaya_name" => "Alger",
            ],
            595 => [
                "commune_name" => "Mohammadia",
                "daira_name" => "Dar El Beida",
                "wilaya_code" => "16",
                "wilaya_name" => "Alger",
            ],
            566 => [
                "commune_name" => "Bir Touta",
                "daira_name" => "Birtouta",
                "wilaya_code" => "16",
                "wilaya_name" => "Alger",
            ],
            598 => [
                "commune_name" => "Ouled Chebel",
                "daira_name" => "Birtouta",
                "wilaya_code" => "16",
                "wilaya_name" => "Alger",
            ],
            609 => [
                "commune_name" => "Tessala El Merdja",
                "daira_name" => "Birtouta",
                "wilaya_code" => "16",
                "wilaya_name" => "Alger",
            ],
            587 => [
                "commune_name" => "Herraoua",
                "daira_name" => "Rouiba",
                "wilaya_code" => "16",
                "wilaya_name" => "Alger",
            ],
            602 => [
                "commune_name" => "Reghaia",
                "daira_name" => "Rouiba",
                "wilaya_code" => "16",
                "wilaya_name" => "Alger",
            ],
            603 => [
                "commune_name" => "Rouiba",
                "daira_name" => "Rouiba",
                "wilaya_code" => "16",
                "wilaya_name" => "Alger",
            ],
            593 => [
                "commune_name" => "Maalma",
                "daira_name" => "Zeralda",
                "wilaya_code" => "16",
                "wilaya_name" => "Alger",
            ],
            600 => [
                "commune_name" => "Rahmania",
                "daira_name" => "Zeralda",
                "wilaya_code" => "16",
                "wilaya_name" => "Alger",
            ],
            607 => [
                "commune_name" => "Souidania",
                "daira_name" => "Zeralda",
                "wilaya_code" => "16",
                "wilaya_name" => "Alger",
            ],
            608 => [
                "commune_name" => "Staoueli",
                "daira_name" => "Zeralda",
                "wilaya_code" => "16",
                "wilaya_name" => "Alger",
            ],
            610 => [
                "commune_name" => "Zeralda",
                "daira_name" => "Zeralda",
                "wilaya_code" => "16",
                "wilaya_name" => "Alger",
            ],
            559 => [
                "commune_name" => "Baba Hassen",
                "daira_name" => "Draria",
                "wilaya_code" => "16",
                "wilaya_name" => "Alger",
            ],
            577 => [
                "commune_name" => "Douira",
                "daira_name" => "Draria",
                "wilaya_code" => "16",
                "wilaya_name" => "Alger",
            ],
            578 => [
                "commune_name" => "Draria",
                "daira_name" => "Draria",
                "wilaya_code" => "16",
                "wilaya_name" => "Alger",
            ],
            579 => [
                "commune_name" => "El Achour",
                "daira_name" => "Draria",
                "wilaya_code" => "16",
                "wilaya_name" => "Alger",
            ],
            590 => [
                "commune_name" => "Khraissia",
                "daira_name" => "Draria",
                "wilaya_code" => "16",
                "wilaya_name" => "Alger",
            ],
            554 => [
                "commune_name" => "Ain Benian",
                "daira_name" => "Cheraga",
                "wilaya_code" => "16",
                "wilaya_name" => "Alger",
            ],
            573 => [
                "commune_name" => "Cheraga",
                "daira_name" => "Cheraga",
                "wilaya_code" => "16",
                "wilaya_name" => "Alger",
            ],
            575 => [
                "commune_name" => "Dely Ibrahim",
                "daira_name" => "Cheraga",
                "wilaya_code" => "16",
                "wilaya_name" => "Alger",
            ],
            586 => [
                "commune_name" => "Hammamet",
                "daira_name" => "Cheraga",
                "wilaya_code" => "16",
                "wilaya_name" => "Alger",
            ],
            599 => [
                "commune_name" => "Ouled Fayet",
                "daira_name" => "Cheraga",
                "wilaya_code" => "16",
                "wilaya_name" => "Alger",
            ],
            556 => [
                "commune_name" => "Alger Centre",
                "daira_name" => "Sidi M'hamed",
                "wilaya_code" => "16",
                "wilaya_name" => "Alger",
            ],
            582 => [
                "commune_name" => "El Madania",
                "daira_name" => "Sidi M'hamed",
                "wilaya_code" => "16",
                "wilaya_name" => "Alger",
            ],
            585 => [
                "commune_name" => "El Mouradia",
                "daira_name" => "Sidi M'hamed",
                "wilaya_code" => "16",
                "wilaya_name" => "Alger",
            ],
            605 => [
                "commune_name" => "Sidi M'hamed",
                "daira_name" => "Sidi M'hamed",
                "wilaya_code" => "16",
                "wilaya_name" => "Alger",
            ],
            604 => [
                "commune_name" => "Sehaoula",
                "daira_name" => "Bir Mourad Rais",
                "wilaya_code" => "16",
                "wilaya_name" => "Alger",
            ],
            567 => [
                "commune_name" => "Bologhine Ibnou Ziri",
                "daira_name" => "Bab El Oued",
                "wilaya_code" => "16",
                "wilaya_name" => "Alger",
            ],
            572 => [
                "commune_name" => "Casbah",
                "daira_name" => "Bab El Oued",
                "wilaya_code" => "16",
                "wilaya_name" => "Alger",
            ],
            596 => [
                "commune_name" => "Oued Koriche",
                "daira_name" => "Bab El Oued",
                "wilaya_code" => "16",
                "wilaya_name" => "Alger",
            ],
            601 => [
                "commune_name" => "Rais Hamidou",
                "daira_name" => "Bab El Oued",
                "wilaya_code" => "16",
                "wilaya_name" => "Alger",
            ],
            564 => [
                "commune_name" => "Bir Mourad Rais",
                "daira_name" => "Bir Mourad Rais",
                "wilaya_code" => "16",
                "wilaya_name" => "Alger",
            ],
            565 => [
                "commune_name" => "Birkhadem",
                "daira_name" => "Bir Mourad Rais",
                "wilaya_code" => "16",
                "wilaya_name" => "Alger",
            ],
            576 => [
                "commune_name" => "Djasr Kasentina",
                "daira_name" => "Bir Mourad Rais",
                "wilaya_code" => "16",
                "wilaya_name" => "Alger",
            ],
            589 => [
                "commune_name" => "Hydra",
                "daira_name" => "Bir Mourad Rais",
                "wilaya_code" => "16",
                "wilaya_name" => "Alger",
            ],
            583 => [
                "commune_name" => "El Magharia",
                "daira_name" => "Hussein Dey",
                "wilaya_code" => "16",
                "wilaya_name" => "Alger",
            ],
            562 => [
                "commune_name" => "Ben Aknoun",
                "daira_name" => "Bouzareah",
                "wilaya_code" => "16",
                "wilaya_name" => "Alger",
            ],
            563 => [
                "commune_name" => "Beni Messous",
                "daira_name" => "Bouzareah",
                "wilaya_code" => "16",
                "wilaya_name" => "Alger",
            ],
            571 => [
                "commune_name" => "Bouzareah",
                "daira_name" => "Bouzareah",
                "wilaya_code" => "16",
                "wilaya_name" => "Alger",
            ],
            580 => [
                "commune_name" => "El Biar",
                "daira_name" => "Bouzareah",
                "wilaya_code" => "16",
                "wilaya_name" => "Alger",
            ],
            560 => [
                "commune_name" => "Bachedjerah",
                "daira_name" => "El Harrach",
                "wilaya_code" => "16",
                "wilaya_name" => "Alger",
            ],
            570 => [
                "commune_name" => "Bourouba",
                "daira_name" => "El Harrach",
                "wilaya_code" => "16",
                "wilaya_name" => "Alger",
            ],
            581 => [
                "commune_name" => "El Harrach",
                "daira_name" => "El Harrach",
                "wilaya_code" => "16",
                "wilaya_name" => "Alger",
            ],
            597 => [
                "commune_name" => "Oued Smar",
                "daira_name" => "El Harrach",
                "wilaya_code" => "16",
                "wilaya_name" => "Alger",
            ],
            561 => [
                "commune_name" => "Baraki",
                "daira_name" => "Baraki",
                "wilaya_code" => "16",
                "wilaya_name" => "Alger",
            ],
            568 => [
                "commune_name" => "Bordj El Bahri",
                "daira_name" => "Dar El Beida",
                "wilaya_code" => "16",
                "wilaya_name" => "Alger",
            ],
            557 => [
                "commune_name" => "Bab El Oued",
                "daira_name" => "Bab El Oued",
                "wilaya_code" => "16",
                "wilaya_name" => "Alger",
            ],
        ];
    }
};
